
TYPO3.Flow - Bug # 47371

Status: Resolved Priority: Must have
Author: Steffen Ritter Category: AOP
Created: 2013-04-19 Assigned To: Steffen Ritter
Updated: 2013-04-25 Due date:
PHP Version: 5.4
Has patch: Yes
Complexity:
Affected Flow version: Git 2.0
Subject: If matched AOP even wraps static methods which will fail on runtime
Description

Runtime execution fails if a static method is wrapped with AOP code because it tries to access the instance variable $this.

Static methods have to be skipped when compiling aop proxies.

Related issues:
duplicated by TYPO3.Flow - Bug # 47309: Calling this in static context in cac... Closed 2013-04-17

Associated revisions
Revision 86620ec8 - 2013-04-24 17:17 - Steffen Ritter

[BUGFIX] AOP erroneously allows to advise static methods

Fixes an issue with the AOP proxy builder which erroneously allowed to
advise static methods which resulted in a PHP fatal error as soon as
such a method was called.

Fixes: #47371
Releases: master, 2.0
Change-Id: I15817e357d98eb78de8984a78582de5cdf16064e

Revision a8e61f71 - 2013-04-25 09:33 - Steffen Ritter

[BUGFIX] AOP erroneously allows to advise static methods

Fixes an issue with the AOP proxy builder which erroneously allowed to
advise static methods which resulted in a PHP fatal error as soon as
such a method was called.

Fixes: #47371
Releases: master, 2.0
Change-Id: I15817e357d98eb78de8984a78582de5cdf16064e

Revision 41b37104 - 2013-04-26 11:21 - Aske Ertmann

[TASK] Fix spelling error related to static method advice test

This was introduced with I15817e357d98eb78de8984a78582de5cdf16064e
Change-Id: I11a456d8e79e952f655e40f792052d0aefb73efd
Related: #47371

Revision ff139888 - 2013-04-26 11:22 - Aske Ertmann

[TASK] Fix spelling error related to static method advice test

This was introduced with I15817e357d98eb78de8984a78582de5cdf16064e

Change-Id: I11a456d8e79e952f655e40f792052d0aefb73efd
Related: #47371

History
#1 - 2013-04-19 10:08 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch 2.0 has been pushed to the review server.
It is available at https://review.typo3.org/20031

#2 - 2013-04-19 10:09 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/20032

#3 - 2013-04-19 10:09 - Gerrit Code Review

Patch set 2 for branch 2.0 has been pushed to the review server.
It is available at https://review.typo3.org/20031

#4 - 2013-04-24 17:17 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/20032

#5 - 2013-04-25 09:33 - Gerrit Code Review

Patch set 3 for branch 2.0 has been pushed to the review server.
It is available at https://review.typo3.org/20031

#6 - 2013-04-25 09:37 - Steffen Ritter
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:86620ec8cead8ba3773a554aab7763d436de9c8a.

2015-08-04 2/3

https://review.typo3.org/20031
https://review.typo3.org/20032
https://review.typo3.org/20031
https://review.typo3.org/20032
https://review.typo3.org/20031


2015-08-04 3/3


